Skip to navigation

List study feedback

View as MarkdownOpen in Claude

Returns the feedback participants have left about a study, including their reasons, written comments and ratings.

Limited availability. This endpoint is not yet available to all accounts. If you need access, please contact Prolific support.

A participant’s ID is only included when they have agreed to share it; otherwise participant_id is null.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired
Study id

Query parameters

has_written_feedbackbooleanOptionalDefaults to false
Only return feedback that includes a written comment.
sourcestringOptional

Comma-separated list of feedback sources to include, for example completed,returned.

categorystringOptional

Comma-separated list of feedback categories to include, for example technical-issue,screened-out.

limitintegerOptional>=0
Number of results to return per page. Defaults to 25.
offsetintegerOptional>=0
Number of results to skip.

Response

A page of feedback for the study
resultslist of objects
metaobject

Errors

4XX
Client Request Error